Results 1 to 3 of 3

Thread: YAST2 in leap 421. crashes when trying to change HTTP settings

  1. #1

    Angry YAST2 in leap 421. crashes when trying to change HTTP settings

    I opened up YAST and selected HTTP in order to change some Apache settings. During the "Read network configuration" phase YAST crashes with the message below:

    Error
    Internal Error. Please report a bug report with logs.
    Details: can't modify frozen String
    Caller: /usr/lib64/ruby/vendor_ruby/2.1.0/yast/logger.rb:21:in `gsub!'

    I would have attached an image but the link is local to my PC.

    It does it every time so it now a big problem for me.

    System is LEAP 42,1 and is fully up to date.

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,304
    Blog Entries
    2

    Default Re: YAST2 in leap 421. crashes when trying to change HTTP settings

    First, recommend updating your system to pull down any possible fixes that have been released by running the following in a root console
    Code:
    zypper update
    And then trying to open the YAST http-server module again.

    Then, if you still see the problem, then

    Recommend following the notification's instructions to submit a bug to https://bugzilla.opensuse.org

    Include the error reported as you've posted.
    Include the logfile requested.

    You might also include a little bit of history,
    such as whether the virtual web servers were set up with the YAST "http server" module.
    How long ago the virtual web server was set up (approx).

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3

    Smile Re: YAST2 in leap 421. crashes when trying to change HTTP settings

    Quote Originally Posted by tsu2 View Post
    First, recommend updating your system to pull down any possible fixes that have been released by running the following in a root console
    Code:
    zypper update
    And then trying to open the YAST http-server module again.

    Then, if you still see the problem, then

    Recommend following the notification's instructions to submit a bug to https://bugzilla.opensuse.org

    Include the error reported as you've posted.
    Include the logfile requested.

    You might also include a little bit of history,
    such as whether the virtual web servers were set up with the YAST "http server" module.
    How long ago the virtual web server was set up (approx).

    TSU
    Well, the good news is that running "zypper update" fixed it. There were not too many updates, and I didn't check the files, but it works 100% now. I rebooted and double checked - it is fixed. Phew!

    Thanks for the response.

    This incident is now closed.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •